Bug 102786 - ENOMEM in journal_alloc_journal_head, retrying - system hangs
ENOMEM in journal_alloc_journal_head, retrying - system hangs
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 21:15 EDT by Garth Ladlow
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 20:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garth Ladlow 2003-08-20 21:15:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
This is becoming a regular occurance for this server ( 4 times in the past 
three weeks )

Receive the following over and over again on the console, system console will 
not accept any keyboard input.

ENOMEM in journal_alloc_journal_head, retrying.
ENOMEM in do_get_write_access, retrying
ENOMEM in journal_get_undo_access_Rsmp_10be8bf9, retrying









Version-Release number of selected component (if applicable):
2.4.18-26

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
I am unsure of the cause and have tried cp large amounts of data as per bug 
84738 but nothing.
    

Additional info:

Dell 6650, 12gigs of ram, broadcom bc5700 driver version 6.0.5
19 Oracle instances connected to a Hitachi San using an emulex driver.

[root@gomez root]# uname -a
Linux gomez 2.4.18-26 #12 SMP Thu May 8 18:19:40 EST 2003 i686 unknown
Comment 1 Stephen Tweedie 2003-08-26 13:50:11 EDT
Those warnings simply tell you that ext3 noticed a serious shortage of available
kernel memory.  ext3 was retrying the allocations; other places in the VFS do
the same thing, but only ext3 emits these warnings.  So, there's no telling what
is actually wedged: under severe memory pressure, you _expect_ to see warnings
only from ext3, because that's the only component that bothers to tell you that
there's trouble.

We'd need capture of at least alt-sysrq-t and alt-sysrq-p output to take this
much further.  Serial console would help to capture that.
Comment 2 Dave Jones 2003-12-16 20:27:41 EST
No activity in 4 months, pending EOL.. closing.

Note You need to log in before you can comment on or make changes to this bug.